API method
getProducts
Method returns product list
https://b2b.onesto-energy.pl/api/getProducts.json?key=YOURAPIKEY
Query params
Put these in your URL, e.g. ?id=123.
-
id integer or integer[]
Internal identifier of product.
More than one value can be specified after comma (,) separator. -
name string
Name of product. Words separated by space will be treated as separate search terms.
Example
'cover' will return all products that contain cover in the name.
-
pid string
Manufacturer identifier.
Example
'Z43' will return all products that contain Z43 in the manufacturer identifier
-
ean string
European Article Number. You can search by part of the EAN.
Example
'5901234567890' will return all products that contain 5901234567890 in the EAN.
-
productcategoryid integer or integer[]
Identifier of category in which the products are.
More than one value can be specified after comma (,) separator. -
modified datetime YYYY-MM-DD HH:MM:SS
Return all products modified after the modified date. That is highly recommended when you want to update your local database.
-
currency string
Currency symbol. If not set - API will use currency assigned to your account on your website. We recommend to always set this parameter to avoid situations where currency gets changed on your website, and you are not aware of it.
Example
Three letters format ie: PLN, EUR, USD.
-
adult boolean 1 = true, 0 = false
Returns only products that are recommended for adults only.
Example
If set to true - only adult content will be returned, if set to false - only non-adult content will be returned.
-
leadtime integer
Filters products to only show those with leadtime <= provided value.
Example
If leadtime = 0 - only those with 0 are returned, if leadtime = 3 - all products with leadtime between 0 and 3 will be returned.
-
gpsr_ready boolean 1 = true, 0 = false
Returns only products that are GPSR ready (have producer and responsible company set).
Example
If set to true - only GPSR ready products will be returned, if set to false - only non-GPSR ready products will be returned.
-
longest_edge_above float
Filters products to show only those with the longest edge (in cm) greater than or equal to the provided value.
-
longest_edge_below float
Filters products to show only those with the longest edge (in cm) less than or equal to the provided value.
-
weight_gross_above float
Filters products to show only those with gross weight (in kg) greater than or equal to the provided value.
-
weight_gross_below float
Filters products to show only those with gross weight (in kg) less than or equal to the provided value.
-
user_price_net_above float
Filters products by customer's net price. Returns only products with a price greater than or equal to the provided value.
Note: If the `currency` parameter is set, this filter operates in the specified currency; otherwise, it uses the account's default currency. -
user_price_net_below float
Filters products by customer's net price. Returns only products with a price less than or equal to the provided value.
Note: If the `currency` parameter is set, this filter operates in the specified currency; otherwise, it uses the account's default currency. -
user_price_gross_above float
Filters products by customer's gross price. Returns only products with a price greater than or equal to the provided value.
Note: If the `currency` parameter is set, this filter operates in the specified currency; otherwise, it uses the account's default currency. -
user_price_gross_below float
Filters products by customer's gross price. Returns only products with a price less than or equal to the provided value.
Note: If the `currency` parameter is set, this filter operates in the specified currency; otherwise, it uses the account's default currency. -
lang string
Language of result. ISO 2 Letter Language Codes
Example
en, pl, cs
Response fields
Fields returned by this method.
-
id integer
Internal identifier of product.
-
modified string
When last modified
-
name string
Name of product
-
pid string
Manufacturer identifier
-
ean string
European Article Number
-
description string
Description of product. HTML is possible
-
status integer
0 - published, 1 - suspended, 2 - inactive.
-
allowpriceoffer boolean 1 = true, 0 = false
Shows whether it is possible to place a price offer
-
askforprice boolean 1 = true, 0 = false
Shows whether the product does not have a fixed price and is subject to individual pricing.
-
fkoutletancestor integer
Only for outlet products - product ID of base, brand new product
-
defect string
Only for outlet products - reason why product was moved to outlet
-
incomingdays integer
Estimated number of delivery days - might be negative if some delayed.
-
userprice float
Customer net price
-
userpricegross float
Customer gross price
-
currency string
Price currency (ISO 3)
Example
EUR, USD, PLN
-
promotionenabled boolean 1 = true, 0 = false
Shows whether product is currently on promotion
-
eol boolean 1 = true, 0 = false
Shows whether product is end of life
-
qty float
How many pieces of this product we have in local stock
-
supplyqty float
How many pieces of this product we have in
-
vatrate float
VAT rate of product
-
productcategoryid stringdeprecated
Comma-separated identifiers of categories in which the product is (leaves only).
-
productcategoryid_full stringdeprecated
Comma-separated identifiers of categories in which the product is (leaves + parents).
-
categories integer[]
Identifiers of categories in which the product is. Product can be in multiple categories. This field only contains final category IDs (leaves).
Same as `productcategoryid` field, but returned as array of strings. -
categories_full integer[]
Identifiers of categories in which the product is. Product can be in multiple categories. This field contains all category IDs (leaves + parents).
Same as `productcategoryid_full` field, but returned as array of strings. -
pictures stringdeprecated
Comma-separated file names of pictures.
-
images string[]
File names of pictures. Product can have multiple images.
Same as `pictures` field, but returned as array of strings. -
leadtime integer
Processing time in days
-
productconditionid integer
Internal identifier of product condition
-
productconditionname string
Name of product condition
-
productunitid integer
Internal identifier of product unit
-
productunitname string
Name of product measure unit
-
productgroupid integer
Internal identifier of product group
-
productgroupname string
Name of product group
-
cncode string
Combined Nomenclature code (customs tariff code).
-
brand string
Product brand name.
-
foradults boolean 1 = true, 0 = false
Content recommended for adults only
-
weight float
Product net weight (in kg)
-
weightgross float
Product gross weight (in kg)
-
size_x floatdeprecated
Product length (in cm).
-
size_y floatdeprecated
Product width (in cm).
-
size_z floatdeprecated
Product height (in cm).
-
shipmentboxes object[]
Shipment boxes for the product. Each box is a single shipping unit with its own dimensions and gross weight. Replaces the deprecated size_x / size_y / size_z fields.
Nested fields
-
size_x float
Box length (in cm)
-
size_y float
Box width (in cm)
-
size_z float
Box height (in cm)
-
weightgross float
Box gross weight (in kg)
-
-
producerid integer
Internal identifier of producer. Use getGPSREntities method to fetch full information.
-
responsiblecompanyid integer
Internal identifier of responsible company. Use getGPSREntities method to fetch full information.
-
safetyinformation string
Product safety information (nullable)
Example URL: https://b2b.onesto-energy.pl/api/getProducts.json?key=YOURAPIKEY&lang=en&id=45356,31534,47990
[
{
"id": 45356,
"modified": "2018-09-25 11:34:32",
"name": " Adhesive foil battery cover Samsung SM-G930F Galaxy S7 (original)",
"pid": "GH81-13702A",
"ean": "",
"description": "<font color=\"#FF0000\"><b>Original <\/b><\/font>adhesive foil battery cover Samsung SM-G930F Galaxy S7<br>",
"status": 0,
"allowpriceoffer": 0,
"infiniteqty": 0,
"askforprice": 0,
"userprice": 22.93,
"userpricegross": 28.2039,
"qty": 95,
"productcategoryid": "2116",
"pictures": "https://core.b2b.onesto-energy.pl\/image.php?name=e5cfb50dfbff4842983dd5be73fafbf6.png",
"productconditionid": null,
"productconditionname": null,
"productunitid": null,
"productunitname": null,
"productgroupid": 34,
"productgroupname": "Foil",
"weight": 0.005,
"weightgross": 0.005,
"isbundle": 0
},
{
"id": 47990,
"modified": "2018-09-25 11:36:29",
"name": "SIM tray Samsung SM-J330F Galaxy J3 (2017) Dual SIM - black (original)",
"pid": "GH61-12704A",
"ean": null,
"description": "<body>\r\n\t<style type=\"text\/css\">\r\n\t\t.cs2654AE3A{text-align:left;text-indent:0pt;margin:0pt 0pt 0pt 0pt}\r\n\t\t.cs276FEF83{color:#F00000;font-weight:bold;}\r\n\t\t.csABF95C6F{color:#000000;}\r\n\t\t.csE77A7635{color:#000000;font-weight:bold;}\r\n\t<\/style>\r\n\t<p class=\"cs2654AE3A\"><span class=\"cs276FEF83\">Original <\/span><span class=\"csABF95C6F\">SIM tray Samsung SM-J330F Galaxy J3 (2017) Dual SIM - <\/span><span class=\"csE77A7635\">black <\/span><\/p><\/body>\r\n",
"status": 0,
"allowpriceoffer": 0,
"infiniteqty": 0,
"askforprice": 0,
"userprice": 10.03,
"userpricegross": 12.3369,
"qty": 4,
"productcategoryid": "2860",
"pictures": "https://core.b2b.onesto-energy.pl\/image.php?name=157ee8dd994f408382630f888a76edaa.png,https://core.b2b.onesto-energy.pl\/image.php?name=39e1cee691094942bd11cf460c15f402.png",
"productconditionid": 1,
"productconditionname": "Original new",
"productunitid": 1,
"productunitname": "Piece",
"productgroupid": 35,
"productgroupname": "Obudowy bez LCD",
"weight": 0.001,
"weightgross": 0.001,
"isbundle": 0
}
]
Example URL: https://b2b.onesto-energy.pl/api/getProducts.xml?key=YOURAPIKEY&lang=en&id=45356,31534,47990
<?xml version="1.0" encoding="utf-8"?>
<root>
<item>
<id>45356</id>
<modified>2018-09-25 11:34:32</modified>
<name> Adhesive foil battery cover Samsung SM-G930F Galaxy S7 (original)</name>
<pid>GH81-13702A</pid>
<ean></ean>
<description><font color="#FF0000"><b>Original </b></font>adhesive foil battery cover Samsung SM-G930F Galaxy S7<br></description>
<status>0</status>
<allowpriceoffer>0</allowpriceoffer>
<infiniteqty>0</infiniteqty>
<askforprice>0</askforprice>
<userprice>22.93</userprice>
<userpricegross>28.2039</userpricegross>
<qty>93</qty>
<productcategoryid>2116</productcategoryid>
<pictures>https://core.b2b.onesto-energy.pl/image.php?name=e5cfb50dfbff4842983dd5be73fafbf6.png</pictures>
<productconditionid></productconditionid>
<productconditionname></productconditionname>
<productunitid></productunitid>
<productunitname></productunitname>
<productgroupid>34</productgroupid>
<productgroupname>Foil</productgroupname>
<weight>0.005</weight>
<weightgross>0.005</weightgross>
<isbundle>0</isbundle>
</item>
<item>
<id>47990</id>
<modified>2018-09-25 11:36:29</modified>
<name>SIM tray Samsung SM-J330F Galaxy J3 (2017) Dual SIM - black (original)</name>
<pid>GH61-12704A</pid>
<ean></ean>
<description><body>
<style type="text/css">
.cs2654AE3A{text-align:left;text-indent:0pt;margin:0pt 0pt 0pt 0pt}
.cs276FEF83{color:#F00000;font-weight:bold;}
.csABF95C6F{color:#000000;}
.csE77A7635{color:#000000;font-weight:bold;}
</style>
<p class="cs2654AE3A"><span class="cs276FEF83">Original </span><span class="csABF95C6F">SIM tray Samsung SM-J330F Galaxy J3 (2017) Dual SIM - </span><span class="csE77A7635">black </span></p></body>
</description>
<status>0</status>
<allowpriceoffer>0</allowpriceoffer>
<infiniteqty>0</infiniteqty>
<askforprice>0</askforprice>
<userprice>10.03</userprice>
<userpricegross>12.3369</userpricegross>
<qty>2</qty>
<productcategoryid>2860</productcategoryid>
<pictures>https://core.b2b.onesto-energy.pl/image.php?name=157ee8dd994f408382630f888a76edaa.png,https://core.b2b.onesto-energy.pl/image.php?name=39e1cee691094942bd11cf460c15f402.png</pictures>
<productconditionid>1</productconditionid>
<productconditionname>Original new</productconditionname>
<productunitid>1</productunitid>
<productunitname>Piece</productunitname>
<productgroupid>35</productgroupid>
<productgroupname>Obudowy bez LCD</productgroupname>
<weight>0.001</weight>
<weightgross>0.001</weightgross>
<isbundle>0</isbundle>
</item>
</root>